Bug 213543 - CVE-2006-5465 PHP buffer overflow
Summary: CVE-2006-5465 PHP buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: source=vendorsec,reported=20061101,em...
Keywords: Security
: 213870 (view as bug list)
Depends On:
Blocks: CVE-2006-5465
TreeView+ depends on / blocked
 
Reported: 2006-11-01 21:52 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-11-06 23:15:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0730 normal SHIPPED_LIVE Important: php security update 2006-11-06 23:15:47 UTC

Description Josh Bressers 2006-11-01 21:52:41 UTC
Stefan Esser told vendor-sec about a buffer overflow in PHP's
htmlentities/htmlspecialchars internal routines.  These flaws are triggered when
handling utf-8 data.  The danger in this flaw is that these functions are
usually passed user input.

The patch for this issue can be found here:
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/html.c?r1=1.111.2.2.2.2&r2=1.111.2.2.2.3

This issue also affects RHEL2.1 and RHEL3

Comment 4 Josh Bressers 2006-11-02 18:39:35 UTC
This issue is public:
http://secunia.com/advisories/22653/

Comment 7 Red Hat Bugzilla 2006-11-06 23:15:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0730.html


Comment 8 Joe Orton 2006-12-14 15:28:22 UTC
*** Bug 213870 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.